Page MenuHomePhabricator

Implement view/join rules for rooms
Closed, ResolvedPublic

Description

  • When viewing a room that you don't have permission to join, you shouldn't have an option to send a message.
  • When viewing a room that you have permission to join -- but are not a member of -- sending a message should join the room (make you a member of the thread). Ideally, the UI button should change from "Send Message" to "Join Room" or something, but this could be a future version.
  • When viewing a room that you are a member of, chat should work normally.

Related Objects

StatusAssignedTask
OpenNone
Resolvedbtrahan
Resolvedbtrahan
OpenNone
Wontfixchad
OpenNone
Resolvedbtrahan
OpenNone
OpenNone
OpenNone
Resolvedepriestley
Resolvedchad
DuplicateNone
Resolvedepriestley
Resolvedbtrahan
Resolvedepriestley
Resolvedepriestley
ResolvedNone
Resolvedbtrahan
Resolvedepriestley
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan
Resolvedbtrahan

Event Timeline

epriestley updated the task description. (Show Details)
epriestley raised the priority of this task from to Normal.
epriestley added a project: Conpherence.
epriestley moved this task from Backlog to v2 on the Conpherence board.Mar 16 2015, 9:41 PM
btrahan claimed this task.Mar 19 2015, 10:30 PM

Rough edges here

  • since rooms you have yet to join can't be viewed in the column yet, the column view has some bugs and isn't expected to work if you somehow get such a room in that view :D
  • in normal view, the room you're looking at is just pre-pending to the top of the "recent" list

If anyone has specific thoughts on these rough edges, let me know, else I figure they'll end up getting addressed as we figure out how to finish T7584. The column view piece might be significant though so leaving this one open for now mainly to track that.

btrahan closed this task as Resolved.Mar 26 2015, 11:50 PM

T7566 for any polish thoughts on this. :D

Ended up with the room you're in (even if not a participant yet) at the top of the list. No way to look at a room in column view you have yet to participate in.